This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 133906

Summary: NFS mounts fail with mount: RPC: Authentication error; why = Failed (unspecified error)
Product: [Fedora] Fedora Reporter: Thomas J. Baker <tjb>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED NOTABUG QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 3CC: mattdm
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-10-30 10:03:07 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Thomas J. Baker 2004-09-28 09:36:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040926
Firefox/0.10

Description of problem:
I just updated my system to FC3T2 from FC2 and have problems exporting
filesystems.

RHEL3 clients fail with this error:

Sep 28 09:00:33 blackstar automount[28377]: >> mount: RPC:
Authentication error; why = Failed (unspecified error)
Sep 28 09:00:33 blackstar automount[28377]: mount(nfs): nfs: mount
failure wintermute.sr.unh.edu:/home/tjb on /net/home/rcc/tjb

I get the same error from FC3T2 clients:

Sep 28 09:09:15 katratzi automount[3645]: >> mount: RPC:
Authentication error; why = Failed (unspecified error)
Sep 28 09:09:15 katratzi automount[3645]: mount(nfs): nfs: mount
failure wintermute.sr.unh.edu:/home/tjb on /net/home/rcc/tjb
Sep 28 09:09:15 katratzi automount[3645]: failed to mount
/net/home/rcc/tjb
Sep 28 09:09:35 katratzi automount[3647]: >> mount: RPC:
Authentication error; why = Failed (unspecified error)
Sep 28 09:09:35 katratzi automount[3647]: mount(nfs): nfs: mount
failure wintermute.sr.unh.edu:/home/tjb on /net/home/rcc/tjb

Mouting by hand also fails:

[root@katratzi ~]# mount wintermute:/home/tjb /xxx
mount: RPC: Authentication error; why = Failed (unspecified error)
[root@katratzi ~]#

It seems the problem is related to tcp wrappers. I have everything
denied and allow certain connections from certain hosts or subnets. In
FC2, I could have "portmap: 132.177." and all RPC traffic would work
fine for the local subnet including NFS. That doesn't seem to be the
case with FC3T2. What service/daemon do I need to add allowances to so
that NFS traffic will work again?

Version-Release number of selected component (if applicable):
nfs-utils-1.0.6-34, kernel-smp-2.6.8-1.541

How reproducible:
Always

Steps to Reproduce:
1. Exportf file systems
2. have hosts.deny contain all:all and hosts.allow contail portmap:all
3.
    

Actual Results:  Mounting nfs exported directories from remote clients
fails.

Additional info:
Comment 1 Thomas J. Baker 2004-10-05 11:26:00 EDT
I'm running nfs-utils-1.0.6-37 and that doesn't fix the problem. I
duplicated the problem on a second system. The server side error is this:

Oct  5 11:17:18 katratzi rpc.mountd: connect from 132.177.241.100 to
proc (0) in mountd: request from unauthorized host
Oct  5 11:17:18 katratzi rpc.mountd: connect from 132.177.241.100 to
proc (1) in mountd: request from unauthorized host

I tried adding rpc.mountd:all to hosts.allow but that doesn't help.
Comment 2 Thomas J. Baker 2004-10-13 15:50:18 EDT
Got more time to test this. Turns out that you now need to add mountd
to the hosts.allow to get it to work. So now you need both portmap and
mountd listed.
Comment 3 Steve Dickson 2004-10-14 09:11:55 EDT
So the answer is to added both rpc.mountd and 
the portmapper to /etc/hosts.allow... Thanks
for the information since I was not able to reproduce
this problem. 
Comment 4 Thomas J. Baker 2004-10-14 09:22:58 EDT
Yes. I've found the actual services names in the /etc/hosts.allow file
matter too:

mountd: 127.0.0.1 132.177.
portmap: 127.0.0.1 132.177.

Comment 5 Matthew Miller 2006-07-10 17:06:38 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 John Thacker 2006-10-30 10:03:07 EST
Closing per lack of response to previous request for information.  This bug was
originally filed against FC3 and has remained in NEEDINFO state for quite some
time.  Many packages and bugfixes have been made since the last substantive bug
report.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.
Comment 7 Thomas J. Baker 2006-10-30 10:11:04 EST
Should have been closed as notabug. See comment #2.